Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.forms.responder
Class ResponseControllerHandler

    java.lang.Object
      org.makumba.commons.ControllerHandler
          org.makumba.forms.responder.ResponseControllerHandler

    public class ResponseControllerHandler

extends ControllerHandler

Field Summary
`(package private) Logger` | `logger`
`static String` | `MAKUMBA_FORM_RELOAD`
`static String` | `MAKUMBA_FORM_VALIDATION_ERRORS`

Constructor Summary
`ResponseControllerHandler()`

Method Summary
`boolean` | `beforeFilter(ServletRequest req, ServletResponse resp, FilterConfig conf, ServletObjects httpServletObjects)` Performs an operation before the doFilterChain() method is called
`static void` | `main(String[] args)`
`static boolean` | `shallReload(boolean reloadFormOnError, String action, String absoluteAction, String originatingPageName)`

Methods inherited from class org.makumba.commons.ControllerHandler
`afterBeforeFilter, afterFilter, finalize, onError`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MAKUMBA_FORM_VALIDATION_ERRORS

    public static final String MAKUMBA_FORM_VALIDATION_ERRORS

See Also:
  Constant Field Values

### MAKUMBA_FORM_RELOAD

    public static final String MAKUMBA_FORM_RELOAD

See Also:
  Constant Field Values

### logger

    final Logger logger

Constructor Detail

### ResponseControllerHandler

    public ResponseControllerHandler()

Method Detail

### beforeFilter

    public boolean beforeFilter(ServletRequest req,
                                ServletResponse resp,
                                FilterConfig conf,
                                ServletObjects httpServletObjects)
                         throws Exception

  Description copied from class: `ControllerHandler`
  Performs an operation before the doFilterChain() method is called

  Overrides:
    `beforeFilter` in class `ControllerHandler`
  Returns:
    `true` if the operation worked out successfully, `false` otherwise
  Throws:
    `Exception`

### shallReload

    public static boolean shallReload(boolean reloadFormOnError,
                                      String action,
                                      String absoluteAction,
                                      String originatingPageName)

### main

    public static void main(String[] args)
                     throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20